Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233511 - gnome-panel disappears
Summary: gnome-panel disappears
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 20:32 UTC by Andrew
Modified: 2008-03-18 18:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-18 18:41:58 UTC


Attachments (Terms of Use)

Description Andrew 2007-03-22 20:32:26 UTC
Description of problem:
Several users have shown me their GNOME panel is missing.  Logging out and in
does not help.   The process is still running, so it must be killed and manually
restarted.

The problem started when I upgraded the office terminal server from FC5 to FC6.

Version-Release number of selected component (if applicable):
gnome-panel-2.16.3-2.fc6

How reproducible:
I don't know how to reproduce.  If you could give me some hints on how to figure
it out, I would appreciate it.

Steps to Reproduce:
1. Wait for user to complain :)
  
Actual results:
User's panel does not appear.  Logging out and in does not help.  Killing
gnome-panel and restarting does help.

Expected results:
Panel should be bulletproof reliable.

Additional info:
If a strace or anything else would help, let me know.  I did a strace and
remember said something like futex().

Comment 1 Ray Strode [halfline] 2007-03-22 20:54:04 UTC
are they running with "Desktop Effects" enabled or with Beryl?

Comment 2 Andrew 2007-03-22 20:59:52 UTC
Definitely no.  (I don't think LTSP 4.2u4's X.org 6.9 would not even support
effects/beryl/compiz.)

Comment 3 Andrew 2007-03-27 15:12:13 UTC
It happened to another user today.  This is the fourth time, but so far, never
the same user twice.

[root@lucy ~]# ps -ef | grep jack | grep panel
jackg    28254     1  0 Mar26 ?        00:00:00 gnome-panel --sm-client-id defau
                                  lt2
jackg    28328     1  0 Mar26 ?        00:00:00 pam-panel-icon --sm-client-id de
                                  fault0
[root@lucy ~]# strace -p 28254
Process 28254 attached - interrupt to quit
futex(0x58a120, FUTEX_WAIT, 2, NULL


Comment 4 Ray Strode [halfline] 2007-03-27 19:16:31 UTC
is the same user logged in twice maybe?

Comment 5 Andrew 2007-03-27 19:26:19 UTC
No, each user is logged in once.

FWIW, the FC6 terminal server mounts /home from a Trustix (Linux 2.4) server.

Thanks for looking into this, Ray! :)

Comment 6 Ray Strode [halfline] 2008-03-18 18:41:58 UTC
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)


Note You need to log in before you can comment on or make changes to this bug.